package main;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JSlider;

public class ConvertSliderGUI extends JFrame
{
   private JSlider slider;

   public JSlider getSlider()
   {
      return slider;
   }

   public ConvertSliderGUI()
   {
      super("Celsius Slider");
      
      init();
      
      pack();
      setVisible(true);
      setLocationRelativeTo(null);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
   }

   private void init()
   {
      JLabel label = new JLabel("Celsius:");
      getContentPane().add(label, BorderLayout.PAGE_START);
            
      slider = new JSlider(-50, 100);
      slider.setPaintLabels(true);
      slider.setPaintTicks(true);
      slider.setPaintTrack(true);
//      slider.setMinorTickSpacing(5);
      slider.setMajorTickSpacing(30);
      
      getContentPane().add(slider, BorderLayout.CENTER);
      
   }
}
