package main;

import java.awt.GridBagLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JButton;
import java.awt.GridBagConstraints;
import javax.swing.JTextField;
import javax.swing.JLabel;

public class TestGUI extends JFrame {

	private static final long serialVersionUID = 1L;
	private JButton testButton1 = null;
	private JTextField testTextField = null;
	private JButton testButton2 = null;
	private JLabel testLabel = null;

	/**
	 * This is the default constructor
	 */
	public TestGUI() {
		super();
		initialize();
		pack();
	    setVisible(true);
        setLocationRelativeTo(null);
	    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		GridBagConstraints gridBagConstraints11 = new GridBagConstraints();
		gridBagConstraints11.gridx = 0;
		gridBagConstraints11.gridy = 4;
		testLabel = new JLabel();
		testLabel.setText("testtext");
		GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
		gridBagConstraints2.gridx = 0;
		gridBagConstraints2.gridy = 3;
		GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
		gridBagConstraints1.fill = GridBagConstraints.BOTH;
		gridBagConstraints1.gridy = 2;
		gridBagConstraints1.weightx = 1.0;
		gridBagConstraints1.gridwidth = 1;
		gridBagConstraints1.anchor = GridBagConstraints.CENTER;
		gridBagConstraints1.gridx = 0;
		GridBagConstraints gridBagConstraints = new GridBagConstraints();
		gridBagConstraints.gridx = 0;
		gridBagConstraints.gridheight = 2;
		gridBagConstraints.gridy = 0;
		this.setSize(300, 200);
		this.setLayout(new GridBagLayout());
		this.setTitle("testGui");
		this.add(getTestButton1(), gridBagConstraints);
		this.add(getTestTextField(), gridBagConstraints1);
		this.add(getTestButton2(), gridBagConstraints2);
		this.add(testLabel, gridBagConstraints11);
	}

	/**
	 * This method initializes testButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */
	JButton getTestButton1() {
		if (testButton1 == null) {
			testButton1 = new JButton();
			testButton1.setText("test");
		}
		return testButton1;
	}

	/**
	 * This method initializes testTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	JTextField getTestTextField() {
		if (testTextField == null) {
			testTextField = new JTextField();
		}
		return testTextField;
	}

	/**
	 * This method initializes testButton2	
	 * 	
	 * @return javax.swing.JButton	
	 */
	JButton getTestButton2() {
		if (testButton2 == null) {
			testButton2 = new JButton();
			testButton2.setText("test2");
		}
		return testButton2;
	}

	public JLabel getTestLabel() {
		return testLabel;
	}

}
